services:
    object_database_manager:
        class: Sso\Webservices\ObjectBundle\Database\Manager
        public: true
        arguments: ["@doctrine", "@validator"]

    object_kernel_event_subscriber:
        class: Sso\Webservices\ObjectBundle\Events\Subscriber\KernelSubscriber
        arguments: ['@service_api_manager']
        tags:
            - { name: kernel.event_subscriber }

    object_event_treeids_regenerate:
        class: Sso\Webservices\ObjectBundle\Events\Services\GenerateTreeIds
        arguments: ['@logger', '@object_database_manager']
